﻿namespace Sitecore.ChangesTracker.Archiving
{
  using System;
  using System.Collections.Generic;
  using System.Linq;
  using System.Text;
  
  public class ArchivedField
  {
    private Guid archivalID;
    private string sharingType;
    private Guid itemId;
    private string language;
    private int version;
    private Guid fieldId;
    private string value;
    private DateTime created;
    private DateTime updated; 
    
    public ArchivedField(Guid archivalId, string sharingType, Guid itemId, string language, int version, Guid fieldId, string value, DateTime created, DateTime updated)
    {
      this.archivalID = archivalId;
      this.sharingType = sharingType;
      this.itemId = itemId;
      this.language = language;
      this.version = version;
      this.fieldId = fieldId;
      this.value = value;
      this.created = created;
      this.updated = updated;
    } 

   
    public Guid ArchivalId
    {
      get
      {
        return this.archivalID;
      }
    }

    public string SharingType
    {
      get
      {
        return this.sharingType;
      }
    }

    public Guid ItemId
    {
      get
      {
        return this.itemId;
      }
    }

    public string Language
    {
      get
      {
        return this.language;
      }
    }

    public int Version
    {
      get
      {
        return this.version;
      }
    }

    public Guid FieldId
    {
      get
      {
        return this.fieldId;
      }
    }

    public string Value
    {
      get
      {
        return this.value;
      }
    }

    public DateTime Created
    {
      get
      {
        return this.created;
      }
    }

    public DateTime Updated
    {
      get
      {
        return this.updated;
      }
    }
  }
}
