﻿namespace Sitecore.ChangesTracker.Configuration
{
  using System;
  using System.Collections.Generic;
  using System.Linq;
  using System.Text;
  using Sitecore.Data;
  using Sitecore.Diagnostics;

  public class Settings
  {

    public static bool ArchiveBlobData
    {
      get
      {
          return Sitecore.Configuration.Settings.GetBoolSetting("CangesTracker.ArchiveBlobData", false);
      }
    }

    public static bool RestoreItemCreatedDate
    {
      get
      {
          return Sitecore.Configuration.Settings.GetBoolSetting("CangesTracker.RestoreItemCreatedDate", false);
      }
    }
    public static bool ResoreItemUpdatedDate
    {
      get
      {
          return Sitecore.Configuration.Settings.GetBoolSetting("CangesTracker.RestoreItemUpdatedDate", false);
      }
    }
    public static int EventTimeout
    {
      get
      {
          return Sitecore.Configuration.Settings.GetIntSetting("CangesTracker.EventTimeout", 5);
      }
    }
    public static long TemplateHashCacheMaxSize
    {
        get
        {
            return Sitecore.Configuration.Settings.GetLongSetting("TemplateHashCache.MaxSize", 10000000L);
        }
    }
  }
}
