﻿namespace Sitecore.ChangesTracker.Commands
{
  using System;
  using System.Collections.Generic;
  using System.Linq;
  using System.Text;
  using Sitecore.Diagnostics;
  using Sitecore.Shell.Framework.Commands;
  using Sitecore.Web;
  using Sitecore.Web.UI.Sheer;


  public class PrevEnd : Command
  {
    public override void Execute(CommandContext context)
    {
      Assert.ArgumentNotNull(context, "context");
      //Shell.Applications.WebEdit.WebEditUtil.SetCurrentDate(Shell.Applications.WebEdit.WebEditUtil.GetCurrentDate().AddDays(1));
      DateTime current = WebUtil.GetSessionDateTime("cht_edate", DateTime.Now.Date).AddDays(-1);
      DateTime start = WebUtil.GetSessionDateTime("cht_sdate", DateTime.Now.Date);
      if (current < start)
      {
        return;
      }
      WebUtil.SetSessionValue("cht_edate", current);
      SheerResponse.SetLocation(string.Empty);
    }
  }
}
