﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Sitecore.ChangesTracker.Exceptions
{
  class TemplateChangedException:Exception
  {
    string path;
    public TemplateChangedException()
    {
    }
    public TemplateChangedException(string message, string path)
      : base(message)
    {
      this.path = path;
    }
    public string ItemPath
    {
      get
      {
        return this.path;
      }
    }
  }
}
